KATE(1)

NAME
kate - Zaawansowany edytor tekstu dla &#347;rodowiska KDE

SYNOPSIS

kate [-s, --start name] [-u, --use] [-p, --pid pid] [-e, --encoding name] [-l, --linewiersz] [-c, --columnkolumna] [-i, --stdin] [KDE Generic Options] [Qt Generic Options]

CHARAKTERYSTYKA

Program Kate jest zaawansowanym edytorem tekstu dla &#347;rodowiska KDE.

Kate udost&#281;pnia równie&#380; (pod nazw&#261; KWrite) komponent edycji tekstu dla innych programów.

G&#322;ówne mo&#380;liwo&#347;ci Kate to pod&#347;wietlanie sk&#322;adni zarówno dla j&#281;zyków programowania takich jak C i C++ jak i dla kodu HTML oraz skryptów pow&#322;oki bash, mo&#380;liwo&#347;&#263; tworzenia i obs&#322;ugi projektów sk&#322;adaj&#261;cych si&#281; z wielu plików, interfejs u&#380;ytkownika umo&#380;liwiaj&#261;cy edycj&#281; wielu dokumentów (MDI) oraz wbudowana konsola.

Program Kate to jednak co&#347; wi&#281;cej ni&#380; jedynie edytor tekstu. Mo&#380;liwo&#347;&#263; otwierania wielu plików jednocze&#347;nie czyni go idealnym narz&#281;dziem dla modyfikacji ró&#380;nych plików konfiguracyjnych systemu UNIX®. Niniejszy dokument równie&#380; powsta&#322; w programie Kate.

OPCJE

-s, --start nazwa_sesji
    Uruchamia Kate otwieraj&#261;c podan&#261; w poleceniu sesj&#281;.

-u, --use
    Powoduje u&#380;ycie dzia&#322;aj&#261;cej instancji programu Kate

-p, --pid pid
    Powoduje u&#380;ycie dzia&#322;aj&#261;cej instancji programu Kate ale tylko o podanym numerze procesu pid

-e, --encoding kodowanie
    Ustala sposób kodowania znaków dla otwieranego pliku Pozwala to na przyk&#322;ad na wymuszenie otwarcia pliku z kodowaniem znaków utf-8. (Polecenie iconv -l wy&#347;wietli list&#281; wszystkich dost&#281;pnych w systemie zestawów kodowa&#324; znaków)

-l, --line wiersz
    Powoduje przej&#347;cie do podanego wiersza

-c, --column kolumna
    Powoduje przej&#347;cie do podanej kolumny

-i, --stdin
    Pobiera tekst ze standardowego wej&#347;cia STDIN

ZOBACZ TAK&#380;E

kwrite(1)

Szczegó&#322;owa dokumentacja u&#380;ytkownika dost&#281;pna jest pod adresem help:/kate (mo&#380;na ten URL wprowadzi&#263; w oknie przegl&#261;darki Konqueror lub wykona&#263; polecenie khelpcenter help:/kate).

Dodatkowe informacje o programie dost&#281;pne s&#261; na stronie WWW programu Kate: http://kate.kde.org/.

PRZYK&#322;ADY

Aby otworzy&#263; plik o nazwie source.cpp i po otwarciu ustawi&#263; w nim kursor w kolumnie 15 i wierszu 25 to nale&#380;y u&#380;y&#263; polecenia:

    kate -c 15 -l 25 -u source.cpp

Je&#380;eli dost&#281;pne jest po&#322;&#261;czenie z sieci&#261; Internet mo&#380;na skorzysta&#263; z mechanizmu prze&#378;roczysto&#347;ci sieciowej &#347;rodowiska KDE do otwierania plików na serwerach ftp. Je&#380;eli uprawnienia dost&#281;pu do zdalnego serwera nie pozwalaj&#261; na modyfikacj&#281; pliku to zostanie on otwarty w trybie tylko do odczytu za&#347; po dokonaniu zmian b&#281;dzie go mo&#380;na zapisa&#263; lokalnie. Je&#380;eli u&#380;ytkownik ma prawa zapisu do pliku zdalnego to b&#281;dzie on zapisany na serwerze ftp bez konieczno&#347;ci wykonania &#380;adnych dodatkowych operacji.

    kate ftp://ftp.kde.org/pub/kde/README_FIRST

AUTORZY

Opiekunem programu Kate jest Christoph Cullmann <cullmann@kde.org>. Obszerna lista autorów i wspó&#322;twórców dost&#281;pna jest we wspomnianej wy&#380;ej pe&#322;nej wersji podr&#281;cznika.

AUTHOR
Lauri Watts.